%global baselib libarchive

# upstream uses a weird versioning (e.g. 3.1.2-1) scheme and versions have
# characters not allowed in RPM's Version field.

%global upstream_version 3.1.2
%global upstream_release 1

name:          python-%{baselib}
# "Version" is upstream_version + upstream_release
# "-" has been replaced by "." as suggested by #fedora-devel folks
Version:       %{upstream_version}.%{upstream_release}
Release:       15%{?dist}
Summary:       Fully functional Python wrapper for libarchive
License:       BSD
URL:           http://code.google.com/p/python-libarchive/
Source0:       http://pypi.python.org/packages/source/p/%{name}/%{name}-%{upstream_version}-%{upstream_release}.tar.gz

Patch0:        python-libarchive-3.1.2-libarchiverebase.patch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: %{baselib}-devel
BuildRequires: swig

%global _description\
Fully functional Python wrapper for libarchive. Created using SWIG. The\
low-level API provides access to all of the functionality of libarchive.\
\
The package also includes a high level python library which mimics the zipfile\
and tarfile modules.\
\
Libarchive supports the following:\
\
- Reads a variety of formats, including tar, pax, cpio, zip, xar, lha, ar, cab,\
  mtree, rar, and ISO images.\
\
- Writes tar, pax, cpio, zip, xar, ar, ISO, mtree, and shar archives.\
\
- Automatically handles archives compressed with gzip, bzip2, lzip, xz, lzma,\
  or compress.

%description %_description

%package -n python2-%{baselib}
Summary: %summary
%{?python_provide:%python_provide python2-%{baselib}}

%description -n python2-%{baselib} %_description

%prep
%setup -qn %{name}-%{upstream_version}-%{upstream_release}
%patch0 -p1
rm -rf %{baselib}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
%{_fixperms} %{buildroot}

%check
pushd %{baselib}
make
popd
%{__python} tests.py

%files -n python2-%{baselib}
%doc README.rst
%{python_sitearch}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.1.2.1-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1.2.1-13
- Python 2 binary package renamed to python2-libarchive
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2.1-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed May 04 2016 Pavel Raiskup <praiskup@redhat.com> - 3.1.2.1-8
- remove explicit-version (build)requires on libarchive package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Sep 07 2013 Dhiru Kholia <dhiru@openwall.com> - 3.1.2.1-3
- fix non-standard-executable-perms reported in BZ #1004845

* Thu Sep 05 2013 Dhiru Kholia <dhiru@openwall.com> - 3.1.2.1-2
- fix build problems reported in BZ #1004845

* Thu Sep 05 2013 Dhiru Kholia <dhiru@openwall.com> - 3.1.2.1-1
- initial version
